%define name 		lapack
%define version 	3.0
%define release 	4mdk
%define snapshot	2001-10-10
%define make_testing	0

%define libmajor 	3
%define libname 	liblapack%{libmajor}

Summary: 	Fortran 77 LAPACK and BLAS libraries for linear algebra.

Name: 		%name
Version: 	%version
Release: 	%release
License: 	Redistributable
Group: 		System/Libraries
Source0: 	%name.tar.bz2
Source1: 	manpages.tar.bz2
Source2: 	BlasMakefileMaker.bz2
Source3: 	LapackMakefileMaker.bz2
Patch0:		lapack-3.0-%{snapshot}.patch.bz2
Patch1:		lapack-3.0-makecfg.patch.bz2
URL: 		http://www.netlib.org/lapack/
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires: 	python, gcc-g77

%description
LAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra.  LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems.  Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included.  LAPACK can handle dense and banded matrices, but
not general sparse matrices.  Similar functionality is provided for
real and complex matrices in both single and double precision.  LAPACK
is coded in Fortran77.
LAPACK includes also the Fortran77 default BLAS library.  BLAS (Basic
Linear Algebra Subprograms) is a standard library for numerical algebra.
BLAS provides a number of basic algorithms for linear algebra.

The lapack package provides the dynamic libraries for LAPACK/BLAS.

%package -n %{libname}
Group: 		System/Libraries
License: 	Redistributable
Summary: 	Fortran 77 LAPACK and BLAS libraries for linear algebra. 

%description -n %{libname}
LAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra.  LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems.  Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included.  LAPACK can handle dense and banded matrices, but
not general sparse matrices.  Similar functionality is provided for
real and complex matrices in both single and double precision.  LAPACK
is coded in Fortran77.
LAPACK includes also the Fortran77 default BLAS library.  BLAS (Basic
Linear Algebra Subprograms) is a standard library for numerical algebra.
BLAS provides a number of basic algorithms for linear algebra.

The lapack package provides the dynamic libraries for LAPACK/BLAS.

%package -n %{libname}-devel
Group: 		Development/Other
License: 	Redistributable
Summary: 	The Fortran 77 LAPACK and BLAS libraries for linear algebra.
Requires: 	%{libname} = %version
Provides: 	liblapack-devel
Provides:	lapack-devel
Obsoletes: 	lapack-devel

%description -n %{libname}-devel
LAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra.  LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems.  Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included.  LAPACK can handle dense and banded matrices, but
not general sparse matrices.  Similar functionality is provided for
real and complex matrices in both single and double precision.  LAPACK
is coded in Fortran77.
LAPACK includes also the Fortran77 default BLAS library.  BLAS (Basic
Linear Algebra Subprograms) is a standard library for numerical algebra.
BLAS provides a number of basic algorithms for linear algebra.

This package contains the headers and development libraries
necessary to develop applications.

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q -n LAPACK
%patch0 -p1
%patch1 -p1
%setup -q -D -T -a 1 -n LAPACK
bzcat %SOURCE2 > BLAS/SRC/BlasMakefileMaker
(cd BLAS/SRC; python BlasMakefileMaker)
bzcat %SOURCE3 > SRC/LapackMakefileMaker
(cd SRC; python LapackMakefileMaker)
touch `find . -type f`

%build
%__cc $RPM_OPT_FLAGS -o equivalence equivalence.c

# Test and install some files in $(srcdir)
%make install

(cd BLAS/SRC;
%make FFLAGS="$RPM_OPT_FLAGS" -fMakefile.blas-%version static
%make -fMakefile.blas-%version object-clean
%make FFLAGS="$RPM_OPT_FLAGS -fPIC" -fMakefile.blas-%version shared
)

(cd SRC;
%make FFLAGS="$RPM_OPT_FLAGS" -fMakefile.lapack-%version static
%make -fMakefile.lapack-%version object-clean
%make FFLAGS="$RPM_OPT_FLAGS -fPIC" -fMakefile.lapack-%version shared
)

%if %{make_testing}
make testing
%endif

%install
%__mkdir_p $RPM_BUILD_ROOT%_bindir
%__mkdir_p $RPM_BUILD_ROOT%_libdir
%__mkdir_p $RPM_BUILD_ROOT%_mandir/manl

%__cp equivalence $RPM_BUILD_ROOT%_bindir

%__cp SRC/liblapack.so.3.0 $RPM_BUILD_ROOT%_libdir
%__cp SRC/liblapack.a $RPM_BUILD_ROOT%_libdir
%__cp man/manl/* $RPM_BUILD_ROOT%_mandir/manl

%__cp BLAS/SRC/libblas.so.3.0 $RPM_BUILD_ROOT%_libdir
%__cp BLAS/SRC/libblas.a $RPM_BUILD_ROOT%_libdir
%__cp blas/man/manl/* $RPM_BUILD_ROOT%_mandir/manl

cd $RPM_BUILD_ROOT%_libdir
%__ln_s -f liblapack.so.3.0 liblapack.so
%__ln_s -f libblas.so.3.0 libblas.so


%clean
%__rm -fr $RPM_BUILD_ROOT


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc README 
%_libdir/*.so.*


%files -n %{libname}-devel
%defattr(-, root, root)
%_bindir/*
%_libdir/*.so
%_libdir/*.a
%_mandir/manl/*


%changelog
* Wed Oct 10 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-4mdk
- Patch0: Add all patches from the LAPACK site as of 2001-10-10
- Patch1: Makefile fixes for make testing (optional)
- Make rpmlint happy:
  - E: liblapack3-devel obsolete-not-provided lapack-devel

* Thu Aug 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0-3mdk
- rebuild

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0-2mdk
- fixes from Pierre-Michel THEVENY <pmt@mnhn.fr> :
	- update sources from netlib
	- add equivalence program
	- rebuilt on Mandrake 8.0 (rpm-4.0)

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0-1mdk
- now library policy compliant

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.0-1mdk
- used srpm provided by Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> :
	- Mandrake RPM guidelines
	- split out devel
	- built on Mandrake-7.2

* Sun Aug 20 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 3.0-6gv
- collapse lapack, blas, lapack-man and blas-man into lapack
- built on Mandrake-7.1

* Thu Jan 03 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- built on Mandrake-6.1 by gcc-2.95.2
- zap backwards compatibility
  this will require recompilation of some other packages

* Mon Oct 25 1999 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- built on Mandrake-6.1 by gcc-2.95.1

* Fri Oct 08 1999 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- link 3.0 libraries also as 2.0.1, hoping for backwards compatibility

* Sun Oct 3 1999 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- BUG: the new LAPACK-3.0 routines were missing
- FIX: generate new fast Makefiles by a python program
- Redhat-6.0 and gcc-2.95.1

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- updated to v3.0
- built for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- new description/summary text.

* Fri Jul 17 1998 Jeff Johnson <jbj@redhat.com>
- repackage for powertools.
